curl --request POST \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/addresses/{address} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
"{ \"object\": \"Address\", \"name\": \"Charlie Brown\", \"line1\": \"123 Main Street\", \"city\": \"San Francisco\", \"district\": \"CA\", \"postal_code\": \"94105\", \"country\": \"US\", \"phone\": \"415-555-3212\" }"
'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/addresses/{address}"
payload = "{ \"object\": \"Address\", \"name\": \"Charlie Brown\", \"line1\": \"123 Main Street\", \"city\": \"San Francisco\", \"district\": \"CA\", \"postal_code\": \"94105\", \"country\": \"US\", \"phone\": \"415-555-3212\" }"
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify('{ "object": "Address", "name": "Charlie Brown", "line1": "123 Main Street", "city": "San Francisco", "district": "CA", "postal_code": "94105", "country": "US", "phone": "415-555-3212" }')
};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/addresses/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/addresses/{address}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode('{ "object": "Address", "name": "Charlie Brown", "line1": "123 Main Street", "city": "San Francisco", "district": "CA", "postal_code": "94105", "country": "US", "phone": "415-555-3212" }'),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/addresses/{address}"
payload := strings.NewReader("\"{ \\\"object\\\": \\\"Address\\\", \\\"name\\\": \\\"Charlie Brown\\\", \\\"line1\\\": \\\"123 Main Street\\\", \\\"city\\\": \\\"San Francisco\\\", \\\"district\\\": \\\"CA\\\", \\\"postal_code\\\": \\\"94105\\\", \\\"country\\\": \\\"US\\\", \\\"phone\\\": \\\"415-555-3212\\\" }\"")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/addresses/{address}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("\"{ \\\"object\\\": \\\"Address\\\", \\\"name\\\": \\\"Charlie Brown\\\", \\\"line1\\\": \\\"123 Main Street\\\", \\\"city\\\": \\\"San Francisco\\\", \\\"district\\\": \\\"CA\\\", \\\"postal_code\\\": \\\"94105\\\", \\\"country\\\": \\\"US\\\", \\\"phone\\\": \\\"415-555-3212\\\" }\"")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/addresses/{address}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "\"{ \\\"object\\\": \\\"Address\\\", \\\"name\\\": \\\"Charlie Brown\\\", \\\"line1\\\": \\\"123 Main Street\\\", \\\"city\\\": \\\"San Francisco\\\", \\\"district\\\": \\\"CA\\\", \\\"postal_code\\\": \\\"94105\\\", \\\"country\\\": \\\"US\\\", \\\"phone\\\": \\\"415-555-3212\\\" }\""
response = http.request(request)
puts response.read_body"{ \"object\": \"Address\", \"vid\": \"e273ea996910b312790f5d24329001c4517dae5a\", \"name\": \"Charlie Brown\", \"line1\": \"123 Main Street\", \"city\": \"San Francisco\", \"district\": \"CA\", \"postal_code\": \"94105\", \"country\": \"US\", \"phone\": \"415-555-3212\" }""{ \"object\": \"Error\", \"message\": \"JSON is invalid\" }"{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"updates address
Updates address
curl --request POST \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/addresses/{address} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
"{ \"object\": \"Address\", \"name\": \"Charlie Brown\", \"line1\": \"123 Main Street\", \"city\": \"San Francisco\", \"district\": \"CA\", \"postal_code\": \"94105\", \"country\": \"US\", \"phone\": \"415-555-3212\" }"
'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/addresses/{address}"
payload = "{ \"object\": \"Address\", \"name\": \"Charlie Brown\", \"line1\": \"123 Main Street\", \"city\": \"San Francisco\", \"district\": \"CA\", \"postal_code\": \"94105\", \"country\": \"US\", \"phone\": \"415-555-3212\" }"
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify('{ "object": "Address", "name": "Charlie Brown", "line1": "123 Main Street", "city": "San Francisco", "district": "CA", "postal_code": "94105", "country": "US", "phone": "415-555-3212" }')
};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/addresses/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/addresses/{address}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode('{ "object": "Address", "name": "Charlie Brown", "line1": "123 Main Street", "city": "San Francisco", "district": "CA", "postal_code": "94105", "country": "US", "phone": "415-555-3212" }'),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/addresses/{address}"
payload := strings.NewReader("\"{ \\\"object\\\": \\\"Address\\\", \\\"name\\\": \\\"Charlie Brown\\\", \\\"line1\\\": \\\"123 Main Street\\\", \\\"city\\\": \\\"San Francisco\\\", \\\"district\\\": \\\"CA\\\", \\\"postal_code\\\": \\\"94105\\\", \\\"country\\\": \\\"US\\\", \\\"phone\\\": \\\"415-555-3212\\\" }\"")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/addresses/{address}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("\"{ \\\"object\\\": \\\"Address\\\", \\\"name\\\": \\\"Charlie Brown\\\", \\\"line1\\\": \\\"123 Main Street\\\", \\\"city\\\": \\\"San Francisco\\\", \\\"district\\\": \\\"CA\\\", \\\"postal_code\\\": \\\"94105\\\", \\\"country\\\": \\\"US\\\", \\\"phone\\\": \\\"415-555-3212\\\" }\"")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/addresses/{address}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "\"{ \\\"object\\\": \\\"Address\\\", \\\"name\\\": \\\"Charlie Brown\\\", \\\"line1\\\": \\\"123 Main Street\\\", \\\"city\\\": \\\"San Francisco\\\", \\\"district\\\": \\\"CA\\\", \\\"postal_code\\\": \\\"94105\\\", \\\"country\\\": \\\"US\\\", \\\"phone\\\": \\\"415-555-3212\\\" }\""
response = http.request(request)
puts response.read_body"{ \"object\": \"Address\", \"vid\": \"e273ea996910b312790f5d24329001c4517dae5a\", \"name\": \"Charlie Brown\", \"line1\": \"123 Main Street\", \"city\": \"San Francisco\", \"district\": \"CA\", \"postal_code\": \"94105\", \"country\": \"US\", \"phone\": \"415-555-3212\" }""{ \"object\": \"Error\", \"message\": \"JSON is invalid\" }"{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The vid of the Address to retrieve A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128Body
JSON A full address object.
The Address object represents a physical or mailing address.
Value is “Address”
Address A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.
128The name of the person or contact associated with this address.
Address Line 1
Address Line 2
Address Line 3
State, Province, or District
Response
JSON A full Address object.
The Address object represents a physical or mailing address.
Value is “Address”
Address A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.
128The name of the person or contact associated with this address.
Address Line 1
Address Line 2
Address Line 3
State, Province, or District

